import { router } from 'FerdaJS/app.config'

import AuctionDetail from 'ferda_auction/detail/AuctionDetail.vue'
import AuctionList from 'ferda_auction/list/AuctionList.vue'

const routes = Object.freeze([
    { name: 'auction-list', path: '/auction/', component: AuctionList },
    { name: 'auction-detail', path: '/auction/detail/:auction_id/', component: AuctionDetail },
])

for (const route of routes) router.addRoute(route)

export default router
